import * as React from 'react';
import { WizardState, WizardConsumerProps } from '../common/types';
declare const WizardContext: React.Context<WizardState>;
export declare function WizardConsumer({ children }: WizardConsumerProps): JSX.Element;
export declare function withWizardContext<T extends WizardState>(WrappedComponent: React.ComponentType<T>): {
    new (props: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<Pick<T, import("utility-types").SetDifference<keyof T, "steps" | "currentStep" | "totalSteps" | "isNextAvailable" | "isPrevAvailable" | "prevStep" | "nextStep">>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
};
export default WizardContext;
